diff --git a/net-p2p/ktorrent/Makefile b/net-p2p/ktorrent/Makefile
index a6f5ecd69ba1..339f17b256eb 100644
--- a/net-p2p/ktorrent/Makefile
+++ b/net-p2p/ktorrent/Makefile
@@ -1,6 +1,5 @@
 PORTNAME=	ktorrent
 DISTVERSION=	${KDE_APPLICATIONS_VERSION}
-PORTREVISION=	1
 CATEGORIES=	net-p2p kde kde-applications
 
 MAINTAINER=	kde@FreeBSD.org
@@ -10,23 +9,20 @@ WWW=		https://kde.org/applications/en/internet/org.kde.ktorrent
 CONFLICTS_BUILD=	libtorrent
 
 BUILD_DEPENDS=	${LOCALBASE}/include/boost/concept_check.hpp:devel/boost-libs
-LIB_DEPENDS=	libKF5Torrent.so:net-p2p/libktorrent \
+LIB_DEPENDS=	libKTorrent6.so:net-p2p/libktorrent \
 		libgcrypt.so:security/libgcrypt \
 		libgmp.so:math/gmp \
 		libtag.so:audio/taglib
 
-USES=		cmake compiler:c++11-lang desktop-file-utils gettext \
-		kde:5 qt:5 tar:xz xorg
+USES=		cmake compiler:c++11-lang desktop-file-utils gettext kde:6 \
+		qt:6 tar:xz xorg
 USE_KDE=	archive auth bookmarks codecs completion config configwidgets \
 		coreaddons crash dbusaddons dnssd i18n iconthemes itemviews \
-		jobwidgets kcmutils kio kross notifications \
-		notifyconfig parts phonon plotting service \
-		solid sonnet syndication textwidgets widgetsaddons \
-		windowsystem xmlgui \
+		jobwidgets kcmutils kio notifications notifyconfig parts \
+		phonon plotting service solid sonnet statusnotifieritem \
+		syndication textwidgets widgetsaddons windowsystem xmlgui \
 		ecm:build
-USE_QT=		concurrent core dbus declarative gui location network printsupport \
-		script webchannel widgets xml \
-		buildtools:build qmake:build
+USE_QT=		base
 USE_XORG=	x11
 
 OPTIONS_DEFINE=		DOCS WORKSPACE
diff --git a/net-p2p/ktorrent/distinfo b/net-p2p/ktorrent/distinfo
index 172758c0a848..eefe93f997a5 100644
--- a/net-p2p/ktorrent/distinfo
+++ b/net-p2p/ktorrent/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889364
-SHA256 (KDE/release-service/23.08.5/ktorrent-23.08.5.tar.xz) = 16b8ad2d9bac0680d5203a5cda139aafecd81d824e80d065bf7fc5864588d782
-SIZE (KDE/release-service/23.08.5/ktorrent-23.08.5.tar.xz) = 2170976
+TIMESTAMP = 1734460284
+SHA256 (KDE/release-service/24.12.0/ktorrent-24.12.0.tar.xz) = 1f61a7ad19eacb0bc7ddf5d060c1dfde76db65e7bdbc24a7a41a78f901982993
+SIZE (KDE/release-service/24.12.0/ktorrent-24.12.0.tar.xz) = 2189328
diff --git a/net-p2p/ktorrent/pkg-plist b/net-p2p/ktorrent/pkg-plist
index b33cc6fc884e..5b60bebbb600 100644
--- a/net-p2p/ktorrent/pkg-plist
+++ b/net-p2p/ktorrent/pkg-plist
@@ -3,21 +3,21 @@ bin/ktorrent
 bin/ktupnptest
 lib/libktcore.so.16
 lib/libktcore.so.16.0.0
-%%QT_PLUGINDIR%%/ktorrent_plugins/ktorrent_bwscheduler.so
-%%QT_PLUGINDIR%%/ktorrent_plugins/ktorrent_downloadorder.so
-%%QT_PLUGINDIR%%/ktorrent_plugins/ktorrent_infowidget.so
-%%QT_PLUGINDIR%%/ktorrent_plugins/ktorrent_ipfilter.so
-%%QT_PLUGINDIR%%/ktorrent_plugins/ktorrent_logviewer.so
-%%QT_PLUGINDIR%%/ktorrent_plugins/ktorrent_magnetgenerator.so
-%%QT_PLUGINDIR%%/ktorrent_plugins/ktorrent_mediaplayer.so
-%%QT_PLUGINDIR%%/ktorrent_plugins/ktorrent_scanfolder.so
-%%QT_PLUGINDIR%%/ktorrent_plugins/ktorrent_scanforlostfiles.so
-%%WEBENGINE%%%%QT_PLUGINDIR%%/ktorrent_plugins/ktorrent_search.so
-%%WORKSPACE%%%%QT_PLUGINDIR%%/ktorrent_plugins/ktorrent_shutdown.so
-%%QT_PLUGINDIR%%/ktorrent_plugins/ktorrent_stats.so
-%%WEBENGINE%%%%QT_PLUGINDIR%%/ktorrent_plugins/ktorrent_syndication.so
-%%QT_PLUGINDIR%%/ktorrent_plugins/ktorrent_upnp.so
-%%QT_PLUGINDIR%%/ktorrent_plugins/ktorrent_zeroconf.so
+%%QT_PLUGINDIR%%/ktorrent_plugins/BandwidthSchedulerPlugin.so
+%%QT_PLUGINDIR%%/ktorrent_plugins/DownloadOrderPlugin.so
+%%QT_PLUGINDIR%%/ktorrent_plugins/IPFilterPlugin.so
+%%QT_PLUGINDIR%%/ktorrent_plugins/InfoWidgetPlugin.so
+%%QT_PLUGINDIR%%/ktorrent_plugins/LogViewerPlugin.so
+%%QT_PLUGINDIR%%/ktorrent_plugins/MagnetGeneratorPlugin.so
+%%QT_PLUGINDIR%%/ktorrent_plugins/MediaPlayerPlugin.so
+%%QT_PLUGINDIR%%/ktorrent_plugins/ScanFolderPlugin.so
+%%QT_PLUGINDIR%%/ktorrent_plugins/ScanForLostFilesPlugin.so
+%%QT_PLUGINDIR%%/ktorrent_plugins/SearchPlugin.so
+%%QT_PLUGINDIR%%/ktorrent_plugins/ShutdownPlugin.so
+%%QT_PLUGINDIR%%/ktorrent_plugins/StatsPlugin.so
+%%QT_PLUGINDIR%%/ktorrent_plugins/SyndicationPlugin.so
+%%QT_PLUGINDIR%%/ktorrent_plugins/UPnPPlugin.so
+%%QT_PLUGINDIR%%/ktorrent_plugins/ZeroconfPlugin.so
 share/applications/org.kde.ktorrent.desktop
 share/icons/hicolor/128x128/apps/ktorrent.png
 %%WEBENGINE%%share/icons/hicolor/16x16/actions/kt-add-feeds.png
@@ -89,7 +89,7 @@ share/icons/hicolor/scalable/actions/kt-magnet.svgz
 share/icons/hicolor/scalable/actions/kt-set-max-download-speed.svgz
 share/icons/hicolor/scalable/actions/kt-set-max-upload-speed.svgz
 share/icons/hicolor/scalable/actions/kt-speed-limits.svgz
-share/knotifications5/ktorrent.notifyrc
+share/knotifications6/ktorrent.notifyrc
 %%WEBENGINE%%%%DATADIR%%/opensearch/btdb.in/favicon.ico
 %%WEBENGINE%%%%DATADIR%%/opensearch/btdb.in/opensearch.xml
 %%WEBENGINE%%%%DATADIR%%/opensearch/btdig.com/favicon.ico
@@ -122,6 +122,7 @@ share/kxmlgui5/ktorrent/ktorrent_mediaplayerui.rc
 share/kxmlgui5/ktorrent/ktorrentui.rc
 share/kxmlgui5/ktorrent/kttorrentactivityui.rc
 share/locale/ar/LC_MESSAGES/ktorrent.mo
+share/locale/ast/LC_MESSAGES/ktorrent.mo
 share/locale/be/LC_MESSAGES/ktorrent.mo
 share/locale/bg/LC_MESSAGES/ktorrent.mo
 share/locale/bs/LC_MESSAGES/ktorrent.mo
diff --git a/net-p2p/libktorrent/Makefile b/net-p2p/libktorrent/Makefile
index 7353cb5f9c36..110bae1495fe 100644
--- a/net-p2p/libktorrent/Makefile
+++ b/net-p2p/libktorrent/Makefile
@@ -10,12 +10,11 @@ BUILD_DEPENDS=	${LOCALBASE}/include/boost/concept_check.hpp:devel/boost-libs
 LIB_DEPENDS=	libgcrypt.so:security/libgcrypt \
 		libgmp.so:math/gmp
 
-USES=		cmake compiler:c++11-lang gettext kde:5 qca qt:5 tar:xz xorg
-USE_KDE=	archive completion config coreaddons crash i18n \
-		jobwidgets kio service solid widgetsaddons windowsystem \
+USES=		cmake compiler:c++11-lang gettext kde:6 qca qt:6 tar:xz xorg
+USE_KDE=	archive completion config coreaddons crash i18n jobwidgets kio \
+		service solid widgetsaddons windowsystem \
 		ecm:build
-USE_QT=		concurrent core dbus gui network widgets xml \
-		buildtools:build qmake:build testlib:build
+USE_QT=		base
 USE_XORG=	x11
 
 OPTIONS_DEFINE=	DOCS
diff --git a/net-p2p/libktorrent/distinfo b/net-p2p/libktorrent/distinfo
index 8c5dc7b55456..715dda125b72 100644
--- a/net-p2p/libktorrent/distinfo
+++ b/net-p2p/libktorrent/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889363
-SHA256 (KDE/release-service/23.08.5/libktorrent-23.08.5.tar.xz) = 0fa23c3f5a8e6aeaf76e1c3f1ff7c10046d4ad925798907cf5b28c9788d297bd
-SIZE (KDE/release-service/23.08.5/libktorrent-23.08.5.tar.xz) = 604184
+TIMESTAMP = 1734460285
+SHA256 (KDE/release-service/24.12.0/libktorrent-24.12.0.tar.xz) = 8d45ebceb9004b2905d015383e5c0cda2a15d869527f3bb010f3a837d4f32f51
+SIZE (KDE/release-service/24.12.0/libktorrent-24.12.0.tar.xz) = 604588
diff --git a/net-p2p/libktorrent/pkg-plist b/net-p2p/libktorrent/pkg-plist
index 9688157bbe81..2ab0dd70d05e 100644
--- a/net-p2p/libktorrent/pkg-plist
+++ b/net-p2p/libktorrent/pkg-plist
@@ -1,251 +1,253 @@
-include/KF5/libktorrent/bcodec/bdecoder.h
-include/KF5/libktorrent/bcodec/bencoder.h
-include/KF5/libktorrent/bcodec/bnode.h
-include/KF5/libktorrent/bcodec/value.h
-include/KF5/libktorrent/datachecker/datachecker.h
-include/KF5/libktorrent/datachecker/datacheckerjob.h
-include/KF5/libktorrent/datachecker/datacheckerthread.h
-include/KF5/libktorrent/datachecker/multidatachecker.h
-include/KF5/libktorrent/datachecker/singledatachecker.h
-include/KF5/libktorrent/dht/announcereq.h
-include/KF5/libktorrent/dht/announcersp.h
-include/KF5/libktorrent/dht/announcetask.h
-include/KF5/libktorrent/dht/database.h
-include/KF5/libktorrent/dht/dht.h
-include/KF5/libktorrent/dht/dhtbase.h
-include/KF5/libktorrent/dht/dhtpeersource.h
-include/KF5/libktorrent/dht/findnodereq.h
-include/KF5/libktorrent/dht/findnodersp.h
-include/KF5/libktorrent/dht/getpeersreq.h
-include/KF5/libktorrent/dht/getpeersrsp.h
-include/KF5/libktorrent/dht/kbucket.h
-include/KF5/libktorrent/dht/kbucketentry.h
-include/KF5/libktorrent/dht/kbuckettable.h
-include/KF5/libktorrent/dht/kclosestnodessearch.h
-include/KF5/libktorrent/dht/key.h
-include/KF5/libktorrent/dht/node.h
-include/KF5/libktorrent/dht/nodelookup.h
-include/KF5/libktorrent/dht/pack.h
-include/KF5/libktorrent/dht/pingreq.h
-include/KF5/libktorrent/dht/pingrsp.h
-include/KF5/libktorrent/dht/rpccall.h
-include/KF5/libktorrent/dht/rpcmsg.h
-include/KF5/libktorrent/dht/rpcmsgfactory.h
-include/KF5/libktorrent/dht/rpcserver.h
-include/KF5/libktorrent/dht/rpcserverinterface.h
-include/KF5/libktorrent/dht/task.h
-include/KF5/libktorrent/dht/taskmanager.h
-include/KF5/libktorrent/diskio/cache.h
-include/KF5/libktorrent/diskio/cachefile.h
-include/KF5/libktorrent/diskio/chunk.h
-include/KF5/libktorrent/diskio/chunkmanager.h
-include/KF5/libktorrent/diskio/deletedatafilesjob.h
-include/KF5/libktorrent/diskio/dndfile.h
-include/KF5/libktorrent/diskio/movedatafilesjob.h
-include/KF5/libktorrent/diskio/multifilecache.h
-include/KF5/libktorrent/diskio/piecedata.h
-include/KF5/libktorrent/diskio/preallocationjob.h
-include/KF5/libktorrent/diskio/preallocationthread.h
-include/KF5/libktorrent/diskio/singlefilecache.h
-include/KF5/libktorrent/download/chunkdownload.h
-include/KF5/libktorrent/download/chunkselector.h
-include/KF5/libktorrent/download/downloader.h
-include/KF5/libktorrent/download/packet.h
-include/KF5/libktorrent/download/piece.h
-include/KF5/libktorrent/download/request.h
-include/KF5/libktorrent/download/webseed.h
-include/KF5/libktorrent/interfaces/blocklistinterface.h
-include/KF5/libktorrent/interfaces/cachefactory.h
-include/KF5/libktorrent/interfaces/chunkdownloadinterface.h
-include/KF5/libktorrent/interfaces/chunkselectorinterface.h
-include/KF5/libktorrent/interfaces/exitoperation.h
-include/KF5/libktorrent/interfaces/logmonitorinterface.h
-include/KF5/libktorrent/interfaces/monitorinterface.h
-include/KF5/libktorrent/interfaces/peerinterface.h
-include/KF5/libktorrent/interfaces/peersource.h
-include/KF5/libktorrent/interfaces/piecedownloader.h
-include/KF5/libktorrent/interfaces/queuemanagerinterface.h
-include/KF5/libktorrent/interfaces/serverinterface.h
-include/KF5/libktorrent/interfaces/torrentfileinterface.h
-include/KF5/libktorrent/interfaces/torrentinterface.h
-include/KF5/libktorrent/interfaces/trackerinterface.h
-include/KF5/libktorrent/interfaces/trackerslist.h
-include/KF5/libktorrent/interfaces/webseedinterface.h
-include/KF5/libktorrent/ktorrent_export.h
-include/KF5/libktorrent/libktorrent_version.h
-include/KF5/libktorrent/magnet/magnetdownloader.h
-include/KF5/libktorrent/magnet/magnetlink.h
-include/KF5/libktorrent/magnet/metadatadownload.h
-include/KF5/libktorrent/mse/bigint.h
-include/KF5/libktorrent/mse/encryptedauthenticate.h
-include/KF5/libktorrent/mse/encryptedpacketsocket.h
-include/KF5/libktorrent/mse/encryptedserverauthenticate.h
-include/KF5/libktorrent/mse/functions.h
-include/KF5/libktorrent/mse/rc4encryptor.h
-include/KF5/libktorrent/net/address.h
-include/KF5/libktorrent/net/addressresolver.h
-include/KF5/libktorrent/net/downloadthread.h
-include/KF5/libktorrent/net/networkthread.h
-include/KF5/libktorrent/net/packetsocket.h
-include/KF5/libktorrent/net/poll.h
-include/KF5/libktorrent/net/portlist.h
-include/KF5/libktorrent/net/reverseresolver.h
-include/KF5/libktorrent/net/serversocket.h
-include/KF5/libktorrent/net/socket.h
-include/KF5/libktorrent/net/socketdevice.h
-include/KF5/libktorrent/net/socketgroup.h
-include/KF5/libktorrent/net/socketmonitor.h
-include/KF5/libktorrent/net/socks.h
-include/KF5/libktorrent/net/speed.h
-include/KF5/libktorrent/net/streamsocket.h
-include/KF5/libktorrent/net/trafficshapedsocket.h
-include/KF5/libktorrent/net/uploadthread.h
-include/KF5/libktorrent/net/wakeuppipe.h
-include/KF5/libktorrent/peer/accessmanager.h
-include/KF5/libktorrent/peer/authenticate.h
-include/KF5/libktorrent/peer/authenticatebase.h
-include/KF5/libktorrent/peer/authenticationmonitor.h
-include/KF5/libktorrent/peer/chunkcounter.h
-include/KF5/libktorrent/peer/connectionlimit.h
-include/KF5/libktorrent/peer/packetreader.h
-include/KF5/libktorrent/peer/peer.h
-include/KF5/libktorrent/peer/peerconnector.h
-include/KF5/libktorrent/peer/peerdownloader.h
-include/KF5/libktorrent/peer/peerid.h
-include/KF5/libktorrent/peer/peermanager.h
-include/KF5/libktorrent/peer/peerprotocolextension.h
-include/KF5/libktorrent/peer/peeruploader.h
-include/KF5/libktorrent/peer/serverauthenticate.h
-include/KF5/libktorrent/peer/superseeder.h
-include/KF5/libktorrent/peer/utmetadata.h
-include/KF5/libktorrent/peer/utpex.h
-include/KF5/libktorrent/torrent/advancedchokealgorithm.h
-include/KF5/libktorrent/torrent/choker.h
-include/KF5/libktorrent/torrent/globals.h
-include/KF5/libktorrent/torrent/job.h
-include/KF5/libktorrent/torrent/jobqueue.h
-include/KF5/libktorrent/torrent/peersourcemanager.h
-include/KF5/libktorrent/torrent/server.h
-include/KF5/libktorrent/torrent/statsfile.h
-include/KF5/libktorrent/torrent/timeestimator.h
-include/KF5/libktorrent/torrent/torrent.h
-include/KF5/libktorrent/torrent/torrentcontrol.h
-include/KF5/libktorrent/torrent/torrentcreator.h
-include/KF5/libktorrent/torrent/torrentfile.h
-include/KF5/libktorrent/torrent/torrentfilestream.h
-include/KF5/libktorrent/torrent/torrentstats.h
-include/KF5/libktorrent/torrent/uploader.h
-include/KF5/libktorrent/tracker/httptracker.h
-include/KF5/libktorrent/tracker/kioannouncejob.h
-include/KF5/libktorrent/tracker/tracker.h
-include/KF5/libktorrent/tracker/trackermanager.h
-include/KF5/libktorrent/tracker/udptracker.h
-include/KF5/libktorrent/tracker/udptrackersocket.h
-include/KF5/libktorrent/upnp/upnpmcastsocket.h
-include/KF5/libktorrent/upnp/upnprouter.h
-include/KF5/libktorrent/util/array.h
-include/KF5/libktorrent/util/autorotatelogjob.h
-include/KF5/libktorrent/util/bitset.h
-include/KF5/libktorrent/util/bufferpool.h
-include/KF5/libktorrent/util/circularbuffer.h
-include/KF5/libktorrent/util/compressfilejob.h
-include/KF5/libktorrent/util/constants.h
-include/KF5/libktorrent/util/decompressfilejob.h
-include/KF5/libktorrent/util/error.h
-include/KF5/libktorrent/util/extractfilejob.h
-include/KF5/libktorrent/util/file.h
-include/KF5/libktorrent/util/fileops.h
-include/KF5/libktorrent/util/functions.h
-include/KF5/libktorrent/util/log.h
-include/KF5/libktorrent/util/logsystemmanager.h
-include/KF5/libktorrent/util/pipe.h
-include/KF5/libktorrent/util/ptrmap.h
-include/KF5/libktorrent/util/resourcemanager.h
-include/KF5/libktorrent/util/sha1hash.h
-include/KF5/libktorrent/util/sha1hashgen.h
-include/KF5/libktorrent/util/signalcatcher.h
-include/KF5/libktorrent/util/timer.h
-include/KF5/libktorrent/util/urlencoder.h
-include/KF5/libktorrent/util/waitjob.h
-include/KF5/libktorrent/util/win32.h
-include/KF5/libktorrent/utp/connection.h
-include/KF5/libktorrent/utp/delaywindow.h
-include/KF5/libktorrent/utp/localwindow.h
-include/KF5/libktorrent/utp/packetbuffer.h
-include/KF5/libktorrent/utp/pollpipe.h
-include/KF5/libktorrent/utp/remotewindow.h
-include/KF5/libktorrent/utp/timevalue.h
-include/KF5/libktorrent/utp/utpprotocol.h
-include/KF5/libktorrent/utp/utpserver.h
-include/KF5/libktorrent/utp/utpserverthread.h
-include/KF5/libktorrent/utp/utpsocket.h
-include/KF5/libktorrent/version.h
-lib/cmake/KF5Torrent/FindLibGMP.cmake
-lib/cmake/KF5Torrent/FindLibGcrypt.cmake
-lib/cmake/KF5Torrent/KF5TorrentConfig.cmake
-lib/cmake/KF5Torrent/KF5TorrentConfigVersion.cmake
-lib/cmake/KF5Torrent/KF5TorrentTargets-%%CMAKE_BUILD_TYPE%%.cmake
-lib/cmake/KF5Torrent/KF5TorrentTargets.cmake
-lib/libKF5Torrent.so
-lib/libKF5Torrent.so.%%KDE_APPLICATIONS_VERSION%%
-lib/libKF5Torrent.so.6
-share/locale/ar/LC_MESSAGES/libktorrent5.mo
-share/locale/be/LC_MESSAGES/libktorrent5.mo
-share/locale/bg/LC_MESSAGES/libktorrent5.mo
-share/locale/bs/LC_MESSAGES/libktorrent5.mo
-share/locale/ca/LC_MESSAGES/libktorrent5.mo
-share/locale/ca@valencia/LC_MESSAGES/libktorrent5.mo
-share/locale/cs/LC_MESSAGES/libktorrent5.mo
-share/locale/da/LC_MESSAGES/libktorrent5.mo
-share/locale/de/LC_MESSAGES/libktorrent5.mo
-share/locale/el/LC_MESSAGES/libktorrent5.mo
-share/locale/en_GB/LC_MESSAGES/libktorrent5.mo
-share/locale/eo/LC_MESSAGES/libktorrent5.mo
-share/locale/es/LC_MESSAGES/libktorrent5.mo
-share/locale/et/LC_MESSAGES/libktorrent5.mo
-share/locale/eu/LC_MESSAGES/libktorrent5.mo
-share/locale/fi/LC_MESSAGES/libktorrent5.mo
-share/locale/fr/LC_MESSAGES/libktorrent5.mo
-share/locale/ga/LC_MESSAGES/libktorrent5.mo
-share/locale/gl/LC_MESSAGES/libktorrent5.mo
-share/locale/hi/LC_MESSAGES/libktorrent5.mo
-share/locale/hne/LC_MESSAGES/libktorrent5.mo
-share/locale/hr/LC_MESSAGES/libktorrent5.mo
-share/locale/hu/LC_MESSAGES/libktorrent5.mo
-share/locale/ia/LC_MESSAGES/libktorrent5.mo
-share/locale/is/LC_MESSAGES/libktorrent5.mo
-share/locale/it/LC_MESSAGES/libktorrent5.mo
-share/locale/ja/LC_MESSAGES/libktorrent5.mo
-share/locale/ka/LC_MESSAGES/libktorrent5.mo
-share/locale/kk/LC_MESSAGES/libktorrent5.mo
-share/locale/km/LC_MESSAGES/libktorrent5.mo
-share/locale/ko/LC_MESSAGES/libktorrent5.mo
-share/locale/ku/LC_MESSAGES/libktorrent5.mo
-share/locale/lt/LC_MESSAGES/libktorrent5.mo
-share/locale/lv/LC_MESSAGES/libktorrent5.mo
-share/locale/mr/LC_MESSAGES/libktorrent5.mo
-share/locale/ms/LC_MESSAGES/libktorrent5.mo
-share/locale/nb/LC_MESSAGES/libktorrent5.mo
-share/locale/nds/LC_MESSAGES/libktorrent5.mo
-share/locale/nl/LC_MESSAGES/libktorrent5.mo
-share/locale/nn/LC_MESSAGES/libktorrent5.mo
-share/locale/oc/LC_MESSAGES/libktorrent5.mo
-share/locale/pl/LC_MESSAGES/libktorrent5.mo
-share/locale/pt/LC_MESSAGES/libktorrent5.mo
-share/locale/pt_BR/LC_MESSAGES/libktorrent5.mo
-share/locale/ro/LC_MESSAGES/libktorrent5.mo
-share/locale/ru/LC_MESSAGES/libktorrent5.mo
-share/locale/se/LC_MESSAGES/libktorrent5.mo
-share/locale/si/LC_MESSAGES/libktorrent5.mo
-share/locale/sk/LC_MESSAGES/libktorrent5.mo
-share/locale/sl/LC_MESSAGES/libktorrent5.mo
-share/locale/sr/LC_MESSAGES/libktorrent5.mo
-share/locale/sr@ijekavian/LC_MESSAGES/libktorrent5.mo
-share/locale/sr@ijekavianlatin/LC_MESSAGES/libktorrent5.mo
-share/locale/sr@latin/LC_MESSAGES/libktorrent5.mo
-share/locale/sv/LC_MESSAGES/libktorrent5.mo
-share/locale/tr/LC_MESSAGES/libktorrent5.mo
-share/locale/ug/LC_MESSAGES/libktorrent5.mo
-share/locale/uk/LC_MESSAGES/libktorrent5.mo
-share/locale/zh_CN/LC_MESSAGES/libktorrent5.mo
-share/locale/zh_TW/LC_MESSAGES/libktorrent5.mo
+include/KF6/libktorrent/bcodec/bdecoder.h
+include/KF6/libktorrent/bcodec/bencoder.h
+include/KF6/libktorrent/bcodec/bnode.h
+include/KF6/libktorrent/bcodec/value.h
+include/KF6/libktorrent/datachecker/datachecker.h
+include/KF6/libktorrent/datachecker/datacheckerjob.h
+include/KF6/libktorrent/datachecker/datacheckerthread.h
+include/KF6/libktorrent/datachecker/multidatachecker.h
+include/KF6/libktorrent/datachecker/singledatachecker.h
+include/KF6/libktorrent/dht/announcereq.h
+include/KF6/libktorrent/dht/announcersp.h
+include/KF6/libktorrent/dht/announcetask.h
+include/KF6/libktorrent/dht/database.h
+include/KF6/libktorrent/dht/dht.h
+include/KF6/libktorrent/dht/dhtbase.h
+include/KF6/libktorrent/dht/dhtpeersource.h
+include/KF6/libktorrent/dht/findnodereq.h
+include/KF6/libktorrent/dht/findnodersp.h
+include/KF6/libktorrent/dht/getpeersreq.h
+include/KF6/libktorrent/dht/getpeersrsp.h
+include/KF6/libktorrent/dht/kbucket.h
+include/KF6/libktorrent/dht/kbucketentry.h
+include/KF6/libktorrent/dht/kbuckettable.h
+include/KF6/libktorrent/dht/kclosestnodessearch.h
+include/KF6/libktorrent/dht/key.h
+include/KF6/libktorrent/dht/node.h
+include/KF6/libktorrent/dht/nodelookup.h
+include/KF6/libktorrent/dht/pack.h
+include/KF6/libktorrent/dht/pingreq.h
+include/KF6/libktorrent/dht/pingrsp.h
+include/KF6/libktorrent/dht/rpccall.h
+include/KF6/libktorrent/dht/rpcmsg.h
+include/KF6/libktorrent/dht/rpcmsgfactory.h
+include/KF6/libktorrent/dht/rpcserver.h
+include/KF6/libktorrent/dht/rpcserverinterface.h
+include/KF6/libktorrent/dht/task.h
+include/KF6/libktorrent/dht/taskmanager.h
+include/KF6/libktorrent/diskio/cache.h
+include/KF6/libktorrent/diskio/cachefile.h
+include/KF6/libktorrent/diskio/chunk.h
+include/KF6/libktorrent/diskio/chunkmanager.h
+include/KF6/libktorrent/diskio/deletedatafilesjob.h
+include/KF6/libktorrent/diskio/dndfile.h
+include/KF6/libktorrent/diskio/movedatafilesjob.h
+include/KF6/libktorrent/diskio/multifilecache.h
+include/KF6/libktorrent/diskio/piecedata.h
+include/KF6/libktorrent/diskio/preallocationjob.h
+include/KF6/libktorrent/diskio/preallocationthread.h
+include/KF6/libktorrent/diskio/singlefilecache.h
+include/KF6/libktorrent/download/chunkdownload.h
+include/KF6/libktorrent/download/chunkselector.h
+include/KF6/libktorrent/download/downloader.h
+include/KF6/libktorrent/download/packet.h
+include/KF6/libktorrent/download/piece.h
+include/KF6/libktorrent/download/request.h
+include/KF6/libktorrent/download/webseed.h
+include/KF6/libktorrent/interfaces/blocklistinterface.h
+include/KF6/libktorrent/interfaces/cachefactory.h
+include/KF6/libktorrent/interfaces/chunkdownloadinterface.h
+include/KF6/libktorrent/interfaces/chunkselectorinterface.h
+include/KF6/libktorrent/interfaces/exitoperation.h
+include/KF6/libktorrent/interfaces/logmonitorinterface.h
+include/KF6/libktorrent/interfaces/monitorinterface.h
+include/KF6/libktorrent/interfaces/peerinterface.h
+include/KF6/libktorrent/interfaces/peersource.h
+include/KF6/libktorrent/interfaces/piecedownloader.h
+include/KF6/libktorrent/interfaces/queuemanagerinterface.h
+include/KF6/libktorrent/interfaces/serverinterface.h
+include/KF6/libktorrent/interfaces/torrentfileinterface.h
+include/KF6/libktorrent/interfaces/torrentinterface.h
+include/KF6/libktorrent/interfaces/trackerinterface.h
+include/KF6/libktorrent/interfaces/trackerslist.h
+include/KF6/libktorrent/interfaces/webseedinterface.h
+include/KF6/libktorrent/ktorrent_export.h
+include/KF6/libktorrent/libktorrent_version.h
+include/KF6/libktorrent/magnet/magnetdownloader.h
+include/KF6/libktorrent/magnet/magnetlink.h
+include/KF6/libktorrent/magnet/metadatadownload.h
+include/KF6/libktorrent/mse/bigint.h
+include/KF6/libktorrent/mse/encryptedauthenticate.h
+include/KF6/libktorrent/mse/encryptedpacketsocket.h
+include/KF6/libktorrent/mse/encryptedserverauthenticate.h
+include/KF6/libktorrent/mse/functions.h
+include/KF6/libktorrent/mse/rc4encryptor.h
+include/KF6/libktorrent/net/address.h
+include/KF6/libktorrent/net/addressresolver.h
+include/KF6/libktorrent/net/downloadthread.h
+include/KF6/libktorrent/net/networkthread.h
+include/KF6/libktorrent/net/packetsocket.h
+include/KF6/libktorrent/net/poll.h
+include/KF6/libktorrent/net/portlist.h
+include/KF6/libktorrent/net/reverseresolver.h
+include/KF6/libktorrent/net/serversocket.h
+include/KF6/libktorrent/net/socket.h
+include/KF6/libktorrent/net/socketdevice.h
+include/KF6/libktorrent/net/socketgroup.h
+include/KF6/libktorrent/net/socketmonitor.h
+include/KF6/libktorrent/net/socks.h
+include/KF6/libktorrent/net/speed.h
+include/KF6/libktorrent/net/streamsocket.h
+include/KF6/libktorrent/net/trafficshapedsocket.h
+include/KF6/libktorrent/net/uploadthread.h
+include/KF6/libktorrent/net/wakeuppipe.h
+include/KF6/libktorrent/peer/accessmanager.h
+include/KF6/libktorrent/peer/authenticate.h
+include/KF6/libktorrent/peer/authenticatebase.h
+include/KF6/libktorrent/peer/authenticationmonitor.h
+include/KF6/libktorrent/peer/chunkcounter.h
+include/KF6/libktorrent/peer/connectionlimit.h
+include/KF6/libktorrent/peer/packetreader.h
+include/KF6/libktorrent/peer/peer.h
+include/KF6/libktorrent/peer/peerconnector.h
+include/KF6/libktorrent/peer/peerdownloader.h
+include/KF6/libktorrent/peer/peerid.h
+include/KF6/libktorrent/peer/peermanager.h
+include/KF6/libktorrent/peer/peerprotocolextension.h
+include/KF6/libktorrent/peer/peeruploader.h
+include/KF6/libktorrent/peer/serverauthenticate.h
+include/KF6/libktorrent/peer/superseeder.h
+include/KF6/libktorrent/peer/utmetadata.h
+include/KF6/libktorrent/peer/utpex.h
+include/KF6/libktorrent/torrent/advancedchokealgorithm.h
+include/KF6/libktorrent/torrent/choker.h
+include/KF6/libktorrent/torrent/globals.h
+include/KF6/libktorrent/torrent/job.h
+include/KF6/libktorrent/torrent/jobqueue.h
+include/KF6/libktorrent/torrent/peersourcemanager.h
+include/KF6/libktorrent/torrent/server.h
+include/KF6/libktorrent/torrent/statsfile.h
+include/KF6/libktorrent/torrent/timeestimator.h
+include/KF6/libktorrent/torrent/torrent.h
+include/KF6/libktorrent/torrent/torrentcontrol.h
+include/KF6/libktorrent/torrent/torrentcreator.h
+include/KF6/libktorrent/torrent/torrentfile.h
+include/KF6/libktorrent/torrent/torrentfilestream.h
+include/KF6/libktorrent/torrent/torrentstats.h
+include/KF6/libktorrent/torrent/uploader.h
+include/KF6/libktorrent/tracker/httptracker.h
+include/KF6/libktorrent/tracker/kioannouncejob.h
+include/KF6/libktorrent/tracker/tracker.h
+include/KF6/libktorrent/tracker/trackermanager.h
+include/KF6/libktorrent/tracker/udptracker.h
+include/KF6/libktorrent/tracker/udptrackersocket.h
+include/KF6/libktorrent/upnp/upnpmcastsocket.h
+include/KF6/libktorrent/upnp/upnprouter.h
+include/KF6/libktorrent/util/array.h
+include/KF6/libktorrent/util/autorotatelogjob.h
+include/KF6/libktorrent/util/bitset.h
+include/KF6/libktorrent/util/bufferpool.h
+include/KF6/libktorrent/util/circularbuffer.h
+include/KF6/libktorrent/util/compressfilejob.h
+include/KF6/libktorrent/util/constants.h
+include/KF6/libktorrent/util/decompressfilejob.h
+include/KF6/libktorrent/util/error.h
+include/KF6/libktorrent/util/extractfilejob.h
+include/KF6/libktorrent/util/file.h
+include/KF6/libktorrent/util/fileops.h
+include/KF6/libktorrent/util/functions.h
+include/KF6/libktorrent/util/log.h
+include/KF6/libktorrent/util/logsystemmanager.h
+include/KF6/libktorrent/util/pipe.h
+include/KF6/libktorrent/util/ptrmap.h
+include/KF6/libktorrent/util/resourcemanager.h
+include/KF6/libktorrent/util/sha1hash.h
+include/KF6/libktorrent/util/sha1hashgen.h
+include/KF6/libktorrent/util/signalcatcher.h
+include/KF6/libktorrent/util/timer.h
+include/KF6/libktorrent/util/urlencoder.h
+include/KF6/libktorrent/util/waitjob.h
+include/KF6/libktorrent/util/win32.h
+include/KF6/libktorrent/utp/connection.h
+include/KF6/libktorrent/utp/delaywindow.h
+include/KF6/libktorrent/utp/localwindow.h
+include/KF6/libktorrent/utp/packetbuffer.h
+include/KF6/libktorrent/utp/pollpipe.h
+include/KF6/libktorrent/utp/remotewindow.h
+include/KF6/libktorrent/utp/timevalue.h
+include/KF6/libktorrent/utp/utpprotocol.h
+include/KF6/libktorrent/utp/utpserver.h
+include/KF6/libktorrent/utp/utpserverthread.h
+include/KF6/libktorrent/utp/utpsocket.h
+include/KF6/libktorrent/version.h
+lib/cmake/KTorrent6/FindLibGMP.cmake
+lib/cmake/KTorrent6/FindLibGcrypt.cmake
+lib/cmake/KTorrent6/KTorrent6Config.cmake
+lib/cmake/KTorrent6/KTorrent6ConfigVersion.cmake
+lib/cmake/KTorrent6/KTorrent6Targets-%%CMAKE_BUILD_TYPE%%.cmake
+lib/cmake/KTorrent6/KTorrent6Targets.cmake
+lib/libKTorrent6.so
+lib/libKTorrent6.so.%%KDE_APPLICATIONS_VERSION%%
+lib/libKTorrent6.so.6
+share/locale/ar/LC_MESSAGES/libktorrent6.mo
+share/locale/ast/LC_MESSAGES/libktorrent6.mo
+share/locale/be/LC_MESSAGES/libktorrent6.mo
+share/locale/bg/LC_MESSAGES/libktorrent6.mo
+share/locale/bs/LC_MESSAGES/libktorrent6.mo
+share/locale/ca/LC_MESSAGES/libktorrent6.mo
+share/locale/ca@valencia/LC_MESSAGES/libktorrent6.mo
+share/locale/cs/LC_MESSAGES/libktorrent6.mo
+share/locale/da/LC_MESSAGES/libktorrent6.mo
+share/locale/de/LC_MESSAGES/libktorrent6.mo
+share/locale/el/LC_MESSAGES/libktorrent6.mo
+share/locale/en_GB/LC_MESSAGES/libktorrent6.mo
+share/locale/eo/LC_MESSAGES/libktorrent6.mo
+share/locale/es/LC_MESSAGES/libktorrent6.mo
+share/locale/et/LC_MESSAGES/libktorrent6.mo
+share/locale/eu/LC_MESSAGES/libktorrent6.mo
+share/locale/fi/LC_MESSAGES/libktorrent6.mo
+share/locale/fr/LC_MESSAGES/libktorrent6.mo
+share/locale/ga/LC_MESSAGES/libktorrent6.mo
+share/locale/gl/LC_MESSAGES/libktorrent6.mo
+share/locale/he/LC_MESSAGES/libktorrent6.mo
+share/locale/hi/LC_MESSAGES/libktorrent6.mo
+share/locale/hne/LC_MESSAGES/libktorrent6.mo
+share/locale/hr/LC_MESSAGES/libktorrent6.mo
+share/locale/hu/LC_MESSAGES/libktorrent6.mo
+share/locale/ia/LC_MESSAGES/libktorrent6.mo
+share/locale/is/LC_MESSAGES/libktorrent6.mo
+share/locale/it/LC_MESSAGES/libktorrent6.mo
+share/locale/ja/LC_MESSAGES/libktorrent6.mo
+share/locale/ka/LC_MESSAGES/libktorrent6.mo
+share/locale/kk/LC_MESSAGES/libktorrent6.mo
+share/locale/km/LC_MESSAGES/libktorrent6.mo
+share/locale/ko/LC_MESSAGES/libktorrent6.mo
+share/locale/ku/LC_MESSAGES/libktorrent6.mo
+share/locale/lt/LC_MESSAGES/libktorrent6.mo
+share/locale/lv/LC_MESSAGES/libktorrent6.mo
+share/locale/mr/LC_MESSAGES/libktorrent6.mo
+share/locale/ms/LC_MESSAGES/libktorrent6.mo
+share/locale/nb/LC_MESSAGES/libktorrent6.mo
+share/locale/nds/LC_MESSAGES/libktorrent6.mo
+share/locale/nl/LC_MESSAGES/libktorrent6.mo
+share/locale/nn/LC_MESSAGES/libktorrent6.mo
+share/locale/oc/LC_MESSAGES/libktorrent6.mo
+share/locale/pl/LC_MESSAGES/libktorrent6.mo
+share/locale/pt/LC_MESSAGES/libktorrent6.mo
+share/locale/pt_BR/LC_MESSAGES/libktorrent6.mo
+share/locale/ro/LC_MESSAGES/libktorrent6.mo
+share/locale/ru/LC_MESSAGES/libktorrent6.mo
+share/locale/se/LC_MESSAGES/libktorrent6.mo
+share/locale/si/LC_MESSAGES/libktorrent6.mo
+share/locale/sk/LC_MESSAGES/libktorrent6.mo
+share/locale/sl/LC_MESSAGES/libktorrent6.mo
+share/locale/sr/LC_MESSAGES/libktorrent6.mo
+share/locale/sr@ijekavian/LC_MESSAGES/libktorrent6.mo
+share/locale/sr@ijekavianlatin/LC_MESSAGES/libktorrent6.mo
+share/locale/sr@latin/LC_MESSAGES/libktorrent6.mo
+share/locale/sv/LC_MESSAGES/libktorrent6.mo
+share/locale/tr/LC_MESSAGES/libktorrent6.mo
+share/locale/ug/LC_MESSAGES/libktorrent6.mo
+share/locale/uk/LC_MESSAGES/libktorrent6.mo
+share/locale/zh_CN/LC_MESSAGES/libktorrent6.mo
+share/locale/zh_TW/LC_MESSAGES/libktorrent6.mo
diff --git a/net/Makefile b/net/Makefile
index 6666c6588985..2684d6d500ce 100644
--- a/net/Makefile
+++ b/net/Makefile
@@ -13,7 +13,6 @@
     SUBDIR += akonadi-calendar
     SUBDIR += akonadi-contacts
     SUBDIR += akonadi-mime
-    SUBDIR += akonadi-notes
     SUBDIR += akonadi-search
     SUBDIR += alligator
     SUBDIR += aluminum
@@ -473,6 +472,7 @@
     SUBDIR += micro_inetd
     SUBDIR += micro_proxy
     SUBDIR += microsocks
+    SUBDIR += mimetreeparser
     SUBDIR += minidlna
     SUBDIR += minissdpd
     SUBDIR += miniupnpc
diff --git a/net/akonadi-calendar/Makefile b/net/akonadi-calendar/Makefile
index 460b2a0fabf7..cce83f3b33bd 100644
--- a/net/akonadi-calendar/Makefile
+++ b/net/akonadi-calendar/Makefile
@@ -8,19 +8,17 @@ WWW=		https://www.kde.org/
 
 LICENSE=	LGPL21
 
-USES=		cmake compiler:c++11-lib gettext grantlee:5 kde:5 \
-		qt:5 tar:xz xorg
+USES=		cmake compiler:c++11-lib gettext kde:6 qt:6 tar:xz xorg
 USE_KDE=	auth codecs completion config configwidgets coreaddons \
-		dbusaddons kdelibs4support i18n iconthemes itemmodels \
-		jobwidgets kio notifications service solid wallet \
-		widgetsaddons windowsystem xmlgui \
+		dbusaddons i18n iconthemes itemmodels jobwidgets kio \
+		notifications service solid wallet widgetsaddons windowsystem \
+		xmlgui \
 		ecm:build
 # pim components
 USE_KDE+=	akonadi akonadicontacts akonadimime calendarcore calendarutils \
-		contacts grantleetheme identitymanagement mailtransport messagelib \
-		mime pimtextedit
-USE_QT=		concurrent core dbus gui network widgets xml \
-		buildtools:build qmake:build
+		contacts grantleetheme identitymanagement mailtransport \
+		messagelib mime pimtextedit
+USE_QT=		base
 USE_XORG=	x11
 USE_LDCONFIG=	yes
 
